kb_tests.c File Reference
`#include "kb.c"`
`#include <cgreen/assertions.h>`
`#include <cgreen/cgreen.h>`
`#include <cgreen/constraint_syntax_helpers.h>`
`#include <cgreen/internal/c_assertions.h>`
`#include <cgreen/mocks.h>`

## Macros

#define | TCP "tcp://"

## Functions

| Describe (kb)
| BeforeEach (kb)
| AfterEach (kb)
| Ensure (kb, parse_port_of_addr)
| Ensure (kb, parse_port_of_addr_missing)
| Ensure (kb, parse_port_of_addr_v6)
int | main (int argc, char **argv)

## Macro Definition Documentation

## TCP

#define TCP "tcp://"

## Function Documentation

## AfterEach()

AfterEach | ( | kb |  | ) |

## BeforeEach()

BeforeEach | ( | kb |  | ) |

## Describe()

Describe | ( | kb |  | ) |

## Ensure() [1/3]

Ensure | ( | kb | ,
|  | parse_port_of_addr | )

## Ensure() [2/3]

Ensure | ( | kb | ,
|  | parse_port_of_addr_missing | )

## Ensure() [3/3]

Ensure | ( | kb | ,
|  | parse_port_of_addr_v6 | )

## main()

int main | ( | int | argc,
|  | char ** | argv )